package cn.com.ty.lift.manager.library.controller;

import cn.com.ty.lift.manager.library.dao.entity.Lift;
import cn.com.ty.lift.manager.library.service.LibraryService;
import cn.com.ty.lift.manager.library.dao.entity.model.LiftRequest;
import cn.com.xwy.boot.web.dto.RestResponse;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * @author bieao
 * @date 2019/11/27
 * @description 电梯档案控制层
 */
@RestController
@RequestMapping("library")
public class LibraryController {

    @Resource
    private LibraryService libraryService;

    /**
     * @param
     * @return
     * @description 查询电梯列表
     * @date 2019/11/27 10:03 AM
     */
    @PostMapping("list")
    public RestResponse<IPage<Lift>> list(@RequestBody LiftRequest request) {
        return RestResponse.ok(libraryService.list(request));
    }

    /**
     * @param
     * @return
     * @description 新增电梯
     * @date 2019/11/27 10:03 AM
     */
    @PostMapping("add")
    public RestResponse add(@RequestBody Lift lift) {
        return libraryService.add(lift);
    }

    /**
     * @param
     * @return
     * @description 修改电梯
     * @date 2019/11/27 10:03 AM
     */
    @PostMapping("modify")
    public RestResponse modify(@RequestBody Lift lift) {
        return libraryService.modify(lift);
    }

    /**
     * @param
     * @return
     * @description 导出电梯
     * @date 2019/11/28 2:19 PM
     */
    @PostMapping("export")
    public void export(@RequestBody LiftRequest request) {
        libraryService.export(request);
    }
}
