package cn.com.ty.lift.system.user.service.impl;

import cn.com.ty.lift.system.entity.UserAccount;
import cn.com.ty.lift.system.entity.UserInfo;
import cn.com.ty.lift.system.entity.model.UserRequest;
import cn.com.ty.lift.system.entity.model.UserResponse;
import cn.com.ty.lift.system.user.service.IUserAccountService;
import cn.com.ty.lift.system.user.service.IUserInfoService;
import cn.com.ty.lift.system.user.service.IUserService;
import cn.com.xwy.boot.web.dto.RestResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * @author huangyuan
 * @date 2019-11-29
 * @description 用户接口
 */
@Service
public class UserService implements IUserService {

    @Autowired
    private IUserAccountService userAccountService;

    @Autowired
    private IUserInfoService userInfoService;

    @Override
    @Transactional
    public boolean register(UserInfo userInfo, UserAccount userAccount) {
        //保存用户账户
        int insertAccountCount = userAccountService.add(userAccount);
        userInfo.setUserId(userAccount.getUserId());
        //保存用户信息
        int insertInfoCount = userInfoService.add(userInfo);
        if(insertAccountCount == 0 || insertInfoCount == 0){
            return false;
        }
        return true;
    }

    @Override
    public List<UserResponse> list(UserRequest userRequest) {
        UserAccount userAccount = new UserAccount(userRequest);
        List<UserAccount> userAccountList = userAccountService.getByUserAccount(userAccount);
        return null;
    }

    @Override
    @Transactional
    public RestResponse addUser(UserRequest userRequest) {
        return null;
    }

    @Override
    @Transactional
    public RestResponse updateUser(UserRequest userRequest) {
        return null;
    }

    @Override
    @Transactional
    public RestResponse deleteUser(UserRequest userRequest) {
        return null;
    }
}
